Subject: Re: t7400 broken on pu (Mac OS X)

From: Torsten Bögershausen <[email-masked]>
Date: Thu, 10 Jan 2013 20:06:45 +0100

On 10.01.13 18:58, Junio C Hamano wrote:
> Duy Nguyen <[email-masked]> writes:
>
>> On Wed, Jan 09, 2013 at 07:43:03PM +0100, Torsten Bögershausen wrote:
>>> The current pu fails on Mac OS, case insensitive FS.
>>>
>>>
>>> Bisecting points out
>>> commit 3f28e4fafc046284657945798d71c57608bee479
>>> [snip]
>>> Date:   Sun Jan 6 13:21:07 2013 +0700
>>>
>>>     Convert add_files_to_cache to take struct pathspec
>>>
>> I can reproduce it by setting core.ignorecase to true. There is a bug
>> that I overlooked. Can you verify if this throw-away patch fixes it
>> for you? A proper fix will be in the reroll later.
> I can see why it is wrong to let pathspec.raw be rewritten without
> making matching change to the containing pathspec, but I find it
> strange why it matters only on case-insensitive codepath.
>
> I agree with the "Hack" comment that the canonicalization should be
> done at a higher level upfront.  Then ls-files does not need its own
> strip_trailing_slash_from_submodules(), and check_path_for_gitlink()
> can (and should---the callers of "check_anything" would not expect
> the function to change things) stop rewriting its parameter.
>
> Thanks for a quick response.
>
The patch fixes t7400.
Thanks from my side as well
/Torsten